Package com.io7m.cardant.protocol.inventory

# Record Class CAICommandTypeDeclarationSearchPrevious

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.CAICommandTypeDeclarationSearchPrevious

All Implemented Interfaces:
  `CAProtocolMessageType`, `CAICommandType<CAIResponseTypeDeclarationSearch>`, `CAIMessageType`, `com.io7m.hibiscus.api.HBCommandType`, `com.io7m.hibiscus.api.HBMessageType`

public record CAICommandTypeDeclarationSearchPrevious() extends Record implements CAICommandType<CAIResponseTypeDeclarationSearch>
Search for declared types.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAICommandTypeDeclarationSearchPrevious()`
  Creates an instance of a `CAICommandTypeDeclarationSearchPrevious` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Class<CAIResponseTypeDeclarationSearch>`
  `responseClass()`
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAICommandTypeDeclarationSearchPrevious

    public CAICommandTypeDeclarationSearchPrevious()
    Creates an instance of a `CAICommandTypeDeclarationSearchPrevious` record class.

- ## Method Details

  - ### responseClass

    public Class<CAIResponseTypeDeclarationSearch> responseClass()
    Specified by:
      `responseClass` in interface `CAICommandType<CAIResponseTypeDeclarationSearch>`
    Returns:
      The response class associated with this command (excluding the error response)

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.